const FRAMINGDBG = false;
const REMOVEDBG = false;
const CRASHDBG = false;
const SAVEDBG = false;
class PcDbg {
    
    static log(doit) // careful, variadic via arguments global
    {
        if (doit)
        {

          var stack = new Error().stack;
          //  update is on this line
          var fields_of_interest = stack.split('\n')[2].trim().split(/\s+/);
          var caller = "";
          let filename = "";
          let fileline = "";

          let t;
          if (fields_of_interest.length > 2) {
            t = fields_of_interest.slice(-1)[0].split('/').slice(-1)[0].split(':');
            caller = fields_of_interest[1].split('.')[1];
          } else if(fields_of_interest.length >1) {
            t = fields_of_interest.slice(-1)[0].split('/').slice(-1)[0].split(':');
            //console.log("fields size 1", t);
          }
          filename = t[0];
          fileline = t.slice(-2)[0];
          //console.log("fn:", filename, "fl:", fileline, "caller", caller, "fields_of_interest", fields_of_interest);
          //console.log(stack);

            var final_log = "";
            for (var i = 1; i < arguments.length; i++) {
                final_log += " " + arguments[i];
            }
            console.log(filename + ":" + fileline + ":" + caller +":" + final_log);
        }
    }

    static simpleStringify (object){
        // stringify an object, avoiding circular structures
        // https://stackoverflow.com/a/31557814
        var simpleObject = {};
        for (var prop in object ){
            if (!object.hasOwnProperty(prop)){
                continue;
            }
            if (typeof(object[prop]) == 'object'){
                continue;
            }
            if (typeof(object[prop]) == 'function'){
                continue;
            }
            simpleObject[prop] = object[prop];
        }
        return JSON.stringify(simpleObject); // returns cleaned up JSON
    };
}

