<?php
function is_session_set()
{
	$ret = !  (session_id() == '' || !isset($_SESSION) || session_status() === PHP_SESSION_NONE);
	return $ret;
}
function my_ini_set($key, $val)
{
    if (!is_session_set()) {
        ini_set($key, $val);
    }
}
//my_ini_set('display_errors', 1);

my_ini_set('log_errors', 1);
my_ini_set("memory_limit","1024M");

date_default_timezone_set('Europe/Paris');
my_ini_set('default_charset', 'UTF-8') ;

define('DB_SERVER', 'localhost');
define('DB_USER', 'root');
define('DB_PASS', '');
define('DB_TABLE', 'photocabine');

define('DB_SERVER_ONLINE', 'localhost');
define('DB_USER_ONLINE', 'root');
define('DB_PASS_ONLINE', '');
define('DB_TABLE_ONLINE', 'photocabine');

define('APP_PROD_SUBDOMAIN', 'apps');
define('APP_VALIDATION_SUBDOMAIN', 'apps-recette');
define('APP_SUBDOMAIN', APP_VALIDATION_SUBDOMAIN);

define('WWW_SUBDOMAIN', 'www');
define('DOMAIN_NAME', 'laphotocabine.com');
define('APP_DIR_V1', 'pro');
define('APP_DIR_V2', 'pro2');
define('CUR_APP_DIR', APP_DIR_V2);
define('APP_FQDN', APP_SUBDOMAIN . '.' . DOMAIN_NAME);
define('WWW_FQDN', WWW_SUBDOMAIN . '.' .DOMAIN_NAME);
define('WWW_BASE', 'http://' . WWW_FQDN . '/');
define('WWW_SBASE', 'https://' . WWW_FQDN . '/');
define('SITE', 'http://'. APP_FQDN . '/' . CUR_APP_DIR . '/') ;
define('SSITE', 'https://' . APP_FQDN . '/' . CUR_APP_DIR . '/') ;
define('BASE', 'http://localhost/');
define('SBASE', SSITE); 
define('OLD_SITE', 'http://'. APP_FQDN . '/' . APP_DIR_V1 . '/') ;
define('OLD_SSITE', 'https://'. APP_FQDN . '/' . APP_DIR_V1 . '/') ;
define('OLD_BASE', OLD_SITE);
define('OLD_SBASE', OLD_SSITE);


define('FMS_STREAMS', 'C:/Program Files/Adobe/Adobe Media Server 5/applications/live/') ;
define('FFMPEG', dirname(dirname(__FILE__)) . '/ffmpeg/bin/ffmpeg.exe') ;

define('ADMIN_PWD', 'admin');

define('SMTP', '') ;
define('NB_LANGS', 5) ;
define('VERSION', 1) ;

define('DEVICE_ID', '9999');

global $db ;
if(DEVICE_ID == '')
{
	$my_srv = DB_SERVER_ONLINE;
	$my_db_usr = DB_USER_ONLINE;
	$my_db_pass = DB_PASS_ONLINE;
	$my_table = DB_TABLE_ONLINE;

}else {
	$my_srv = DB_SERVER;
	$my_db_usr = DB_USER;
	$my_db_pass = DB_PASS;
	$my_table = DB_TABLE;
}
$link = mysqli_connect($my_srv, $my_db_usr, $my_db_pass);
mysqli_select_db($link, $my_table);
	mysqli_query($link, "SET NAMES 'UTF8'");

include_once dirname(__FILE__) . '/lib/Database.php';
	$db = new Database() ;

include_once 'constants.php' ;
include_once 'functions.php' ;
