class PcAlert extends React.Component
{
  constructor(props)
  {
    super(props);
    this.label = React.createRef();
    this.state = {label:props.label};
  }

  updateLabel(label)
  {
    this.label.current.updateLabel(label);
  }

  render()
  {
    return e('div',
      {
        style:
        {
          display: (this.props.active ? 'block' : 'none'),
          position:"absolute",
          fontFamily:PcConfig.scenario.fontFamily,
          left: 0,
          top:0,
          width:"100%",
          height:"100%",
          backgroundColor:"rgba(0, 0, 0, 0.9)",
          }
      },
      e('div',
        {
          style:
            {
              position:"absolute",
              width:"90%",
              height:"70%",
              top:"15%",
              left:"5%",
              display:"inline-flex",
              justifyContent: "center",
              flexWrap: "wrap",
              alignContent:"center",
            }
        },
        e(PcLabel,
          {
            ref:this.label,
            label:this.state.label,
            position:"relative",
            width:"90%",
            fontSize:PcConfig.scenario.fontSize,
            color: "#ffffff",
            showDelay:"0,1s"
          }
        ),
        e('div',
          {
            style:{width:'100%', height:50*PcConfig.renderSize}
          }
        ),
        e(PcButton,
          {
            label:this.props.buttonLabel,
            onClick:this.props.onClickButton,
            //sound : PcConfig.sounds.button,
            fontColor:"#000000",
            borderColor:"#FFFFFF",
            backgroundColor:"#FFFFFF",
            showDelay:"0.2s"
          }
        )
      )
    );
  }
}
