class PcScreen extends React.Component
{
  constructor(props)
  {
    super(props);

    this.state =
    {
      className: "pcscreen",
      animationStyle : PcConfig.scenario.screensAnimationStyle
    };

    this.registeredButtons = [];
  }

  registerButton(button, group="")
  {
    this.registeredButtons.push({button:button, group:group});
  }

  normalizeButtonsWidth(group = "")
  {
    var max = 0;
    var w = 0;

    for (var i=0; i<this.registeredButtons.length; i++)
    {
        if (this.registeredButtons[i].button.current)
        {
          w = this.registeredButtons[i].button.current.getWidth();
          if (w>max) max = w;
        }
    }

    for (var i=0; i<this.registeredButtons.length; i++)
    {
      if (this.registeredButtons[i].button.current)
      {
        w = this.registeredButtons[i].button.current.getWidth();
        if (w<max) this.registeredButtons[i].button.current.setWidth(max);
      }
    }
  }
}
